

#ifndef _GPIO_PIN_H__
#define _GPIO_PIN_H__

#include "bsp.h"
#include "os/os_types.h"
typedef struct {
	uint32_t group;
	uint32_t pin;
	uint32_t mode;
	uint32_t speed;
	int init_value; //-1 input, 0 L, 1 H
}gpio_pin_config_t;

void gpio_pin_init(void);
bool gpio_get_brake(void) ;
void gpio_ir2136_enable(bool enable);
void gpio_led1_enable(bool enable);
void gpio_led2_enable(bool enable);
void gpio_led3_enable(bool enable);
int gpio_startkey_value(void);
int gpio_stopkey_value(void);
int gpio_funckey_value(void);
void gpio_beep(u32 ms);
void gpio_phase_u_detect(bool enable);
void mc_brk_gpio_init(void);
bool mc_get_gpio_brake(void);
void mc_gpio_init(void);
bool gpio_motor_locked(void);
bool mc_get_gpio_brake1(void);
void gpio_led_enable(bool enable);
void gpio_brk_light_enable(bool enable);

#endif /* _GPIO_PIN_H__ */
